LibreOffice: RecipientInfo Struct Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Attributes | List of all members
RecipientInfo Struct Referencepublished

contains all information needed to send a message using one send protocol. More...

`import"RecipientInfo.idl";`

## Public Attributes
string | ProtocolType
| the protocol to use for sending (i.e. More...
com::sun::star::ucb::OutgoingMessageState | State
| the current state of the message. More...
string | To
| the recipient(s) (e.g. More...
string | CC
| the recipient(s) of a "carbon copy" (e.g. More...
string | BCC
| the recipient(s) of "blind carbon copy" (e.g. More...
string | Newsgroups
| the newsgroup(s) to which an article is be posted. More...
string | Server
| the name of the server to be used for sending the message. More...
string | Username
| the user name to be used for authorizing on the send server. More...
string | Password
| the password to be used for authorizing on the send server. More...
string | VIMPostOfficePath
| the Post Office Path (VIM only). More...
string | ProtocolErrorString
| string representing the last error (generated by send server). More...
long | ProtocolErrorNumber
| the number representing the last error (generated by send server). More...
long | SendTries
| the count of tries to send a message. More...

## Detailed Description

contains all information needed to send a message using one send protocol.

To send one message via two different protocols, two RecipientInfos are needed - to send one message to different users with one protocol, one RecipientInfo can be used.

## Member Data Documentation

## § BCC

string BCC

the recipient(s) of "blind carbon copy" (e.g.

e-mail address/es).

Multiple addresses are separated by commas.

## § CC

string CC

the recipient(s) of a "carbon copy" (e.g.

e-mail address/es).

Multiple addresses are separated by commas.

## § Newsgroups

string Newsgroups

the newsgroup(s) to which an article is be posted.

Multiple addresses are separated by commas.

## § Password

string Password

the password to be used for authorizing on the send server.

## § ProtocolErrorNumber

long ProtocolErrorNumber

the number representing the last error (generated by send server).

## § ProtocolErrorString

string ProtocolErrorString

string representing the last error (generated by send server).

## § ProtocolType

string ProtocolType

the protocol to use for sending (i.e.

"NNTP", "SMTP", "VIM").

## § SendTries

long SendTries

the count of tries to send a message.

This count is `1` if the message was sent with the first try and increases with every unsuccessful retry.

## § Server

string Server

the name of the server to be used for sending the message.

## § State

com::sun::star::ucb::OutgoingMessageState State

the current state of the message.

## § To

string To

the recipient(s) (e.g.

e-mail address/es).

Multiple addresses are separated by commas.

## § Username

string Username

the user name to be used for authorizing on the send server.

## § VIMPostOfficePath

string VIMPostOfficePath

the Post Office Path (VIM only).

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/RecipientInfo.idl